#!-----------------------------------------------------------------------
#TEMPLATE(FremetaABC,'Fremeta ABC Templates'),FAMILY('ABC'),FAMILY('CLARION')
#!-----------------------------------------------------------------------
#!
#!	Templates By Jonathan L. Green
#!	         Fremeta Inc.
#!	    http://www.fremeta.com
#!
#!-----------------------------------------------------------------------
#EXTENSION(KeepBuffer,'Keep File Buffer Changes'),PROCEDURE, MULTI, DESCRIPTION('Keep file buffer changes from being lost')
#!
#!
#PROMPT('File',FILE),%BufferFile, REQ
#!
#AT(%WindowManagerMethodCodeSection,'Init','(),BYTE'),PRIORITY(7501)
#!
Access:%BufferFile.UseFile(UseType:Returns)   ! This will keep changes in the file buffer from being cleared upon exiting procedure.
#ENDAT

#!-----------------------------------------------------------------------
#EXTENSION(SupressNoRecordsMessage,'Supress No Records to Process Message'),PROCEDURE
#RESTRICT
  #IF ( UPPER(%ProcedureTemplate) = 'REPORT' OR UPPER(%ProcedureTemplate) = 'PROCESS' )
    #ACCEPT
  #ELSE
    #REJECT
  #ENDIF
#ENDRESTRICT
#!
#AT(%WindowManagerMethodCodeSection,'TakeNoRecords','()'),PRIORITY(4999)
#!
RETURN  ! Return without message if no records to process.
#ENDAT
